Appearance
Get a list of mediacontents ​
GET
/v1/mediacontent
Gets a list of mediacontents.
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Query Parameters
sorting
Type
string
Default
nullpage_size
Number of items per page
Type
integer
Default
50page
Current page
Type
integer
Default
1related_type
type of related item to filter on
Type
string
related_id
id of related item to filter on
Type
string
media_type
type of media to filter on
Type
string
expiry_date
Filter content by expiry date. Use operators like 'lt:2025-01-15', 'ge:2025-01-15', 'eq:2025-01-15'
Default
nullResponses​
OK
application/json
JSON"mediacontents": [{"mediacontent_id": "string","related_type": "string","related_id": "string","media_type": "string","media_sizes": ["string"],"filename": null,"created_by": null,"created": null,"media_url": null,"expiry_date": null,"order": null}],"pagination": {"total_size": 1,"page_size": 50,"page_number": 1,"next_page": "string","previous_page": "string"}
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}